Package io.flutter.embedding.engine.systemchannels

## Class PlatformChannel.SystemChromeStyle

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.PlatformChannel.SystemChromeStyle

- Enclosing class:
    PlatformChannel

      public static class PlatformChannel.SystemChromeStyle
      extends Object

  The color and brightness of system chrome, e.g., status bar and system navigation bar.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Integer` | `statusBarColor` |
    `PlatformChannel.Brightness` | `statusBarIconBrightness` |
    `Integer` | `systemNavigationBarColor` |
    `Boolean` | `systemNavigationBarContrastEnforced` |
    `Integer` | `systemNavigationBarDividerColor` |
    `PlatformChannel.Brightness` | `systemNavigationBarIconBrightness` |
    `Boolean` | `systemStatusBarContrastEnforced` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SystemChromeStyle​(Integer statusBarColor, PlatformChannel.Brightness statusBarIconBrightness, Boolean systemStatusBarContrastEnforced, Integer systemNavigationBarColor, PlatformChannel.Brightness systemNavigationBarIconBrightness, Integer systemNavigationBarDividerColor, Boolean systemNavigationBarContrastEnforced)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### statusBarColor

          @Nullable
          public final Integer statusBarColor

    - #### statusBarIconBrightness

          @Nullable
          public final PlatformChannel.Brightness statusBarIconBrightness

    - #### systemStatusBarContrastEnforced

          @Nullable
          public final Boolean systemStatusBarContrastEnforced

    - #### systemNavigationBarColor

          @Nullable
          public final Integer systemNavigationBarColor

    - #### systemNavigationBarIconBrightness

          @Nullable
          public final PlatformChannel.Brightness systemNavigationBarIconBrightness

    - #### systemNavigationBarDividerColor

          @Nullable
          public final Integer systemNavigationBarDividerColor

    - #### systemNavigationBarContrastEnforced

          @Nullable
          public final Boolean systemNavigationBarContrastEnforced

  - ### Constructor Detail

    - #### SystemChromeStyle

          public SystemChromeStyle​(@Nullable
                                   Integer statusBarColor,
                                   @Nullable
                                   PlatformChannel.Brightness statusBarIconBrightness,
                                   @Nullable
                                   Boolean systemStatusBarContrastEnforced,
                                   @Nullable
                                   Integer systemNavigationBarColor,
                                   @Nullable
                                   PlatformChannel.Brightness systemNavigationBarIconBrightness,
                                   @Nullable
                                   Integer systemNavigationBarDividerColor,
                                   @Nullable
                                   Boolean systemNavigationBarContrastEnforced)